import 'package:meta/meta.dart';
import 'package:image/image.dart' as img;

/// Representation of Hexal card elements.
enum GeneratorElement { fire, earth, air, water, spirit, neutral }

/// Representation of a card used in PDF generation.
class GeneratorCard {
  String name;
  String id;
  String type;
  String stats;
  String text;
  GeneratorElement element;
  Map<GeneratorElement, int> cost;
  img.Image image;

  GeneratorCard({
    @required this.name,
    @required this.id,
    @required this.type,
    @required this.stats,
    @required this.text,
    @required this.element,
    @required this.cost,
    @required this.image,
  });
}
